mod datastore;
mod http_server;
use crate::datastore::Store;
use std::sync::Arc;

#[tokio::main]
async fn main() {
    let ds: Arc<Store> = Arc::new(Store::init());
    ds.add_mock_node("1.1.1.1".to_string()).await;
    ds.add_mock_node("1.2.3.4".to_string()).await;
    ds.add_mock_node("1.2.2.2".to_string()).await;
    let thread_result = crate::http_server::init(ds).join();
    println!("{thread_result:?}");
}
